$ErrorActionPreference = 'Stop';

$packageName = 'MemProfiler'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://cdn.memprofiler.com/download/MemProfilerInstaller5_5_64-32bit.msi'
$url64      = 'http://cdn.memprofiler.com/download/MemProfilerInstaller5_5_64-64bit.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'MemProfiler*'

  checksum      = 'a98c43b2bcb7a3a1edc83d718c62a6d45c9229ef7203799bf4adbab10029be0f'
  checksumType  = 'sha256'
  checksum64    = '80b1b44b05173eada820bd139d94367e523ab7dbd0fca7b09bf2b8b7e9a07f4a'
  checksumType64= 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
